# Julia Color Extension for Quarto

This extension provides support for Jupyter code output cells with ANSI escape sequences.

It works with HTML and LaTeX/PDF output.

*It works only with a patched version of quarto.* 

At the moment, Quarto itself supports ANSI colored/styled  output only for HTML output and only for  output cells of type `execute_result` ( and not for cells of type `stream output`). In all other cases it removes the ANSI escape sequences.  

This extension uses a hack employing the `ipynb-filters` option and only works if https://github.com/quarto-dev/quarto-cli/commit/6a4696af6ba5a8a9e3f78e3205b17c86eeecd0f9 is reverted:


```shell
cd quarto-cli
patch -p1 < patch-quarto
```

Furthermore, the extension uses the [JuliaMono font](https://juliamono.netlify.app/) as font for code.


All code licenced under [GNU General Public License v2.0 or later](https://spdx.org/licenses/GPL-2.0-or-later.html)

